openapi: 3.0.1
info:
    title: apiformation API
    description: apiformation API documentation
    contact: {}
    license:
        name: unlicensed
    version: 0.0.1
servers:
    - url: //localhost:8080/
tags:
    - name: account-resource
      description: Account Resource
    - name: client-resource
      description: Client Resource
    - name: compte-resource
      description: Compte Resource
    - name: user-jwt-controller
      description: User JWT Controller
    - name: user-resource
      description: User Resource
paths:
    /api/account:
        get:
            tags:
                - account-resource
            summary: getAccount
            operationId: getAccountUsingGET
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/UserDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        post:
            tags:
                - account-resource
            summary: saveAccount
            operationId: saveAccountUsingPOST
            requestBody:
                description: userDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/UserDTO'
                required: true
            responses:
                200:
                    description: OK
                    content: {}
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: userDTO
    /api/account/change-password:
        post:
            tags:
                - account-resource
            summary: changePassword
            operationId: changePasswordUsingPOST
            requestBody:
                description: passwordChangeDto
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/PasswordChangeDTO'
                required: true
            responses:
                200:
                    description: OK
                    content: {}
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: passwordChangeDto
    /api/account/reset-password/finish:
        post:
            tags:
                - account-resource
            summary: finishPasswordReset
            operationId: finishPasswordResetUsingPOST
            requestBody:
                description: keyAndPassword
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/KeyAndPasswordVM'
                required: true
            responses:
                200:
                    description: OK
                    content: {}
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: keyAndPassword
    /api/account/reset-password/init:
        post:
            tags:
                - account-resource
            summary: requestPasswordReset
            operationId: requestPasswordResetUsingPOST
            requestBody:
                description: mail
                content:
                    application/json:
                        schema:
                            type: string
                required: true
            responses:
                200:
                    description: OK
                    content: {}
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: mail
    /api/activate:
        get:
            tags:
                - account-resource
            summary: activateAccount
            operationId: activateAccountUsingGET
            parameters:
                - name: key
                  in: query
                  description: key
                  required: true
                  schema:
                      type: string
            responses:
                200:
                    description: OK
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
    /api/authenticate:
        get:
            tags:
                - account-resource
            summary: isAuthenticated
            operationId: isAuthenticatedUsingGET
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: string
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        post:
            tags:
                - user-jwt-controller
            summary: authorize
            operationId: authorizeUsingPOST
            requestBody:
                description: loginVM
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/LoginVM'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/JWTToken'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: loginVM
    /api/clients:
        get:
            tags:
                - client-resource
            summary: getAllClients
            operationId: getAllClientsUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: array
                                items:
                                    $ref: '#/components/schemas/ClientDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        put:
            tags:
                - client-resource
            summary: updateClient
            operationId: updateClientUsingPUT
            requestBody:
                description: clientDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/ClientDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/ClientDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: clientDTO
        post:
            tags:
                - client-resource
            summary: createClient
            operationId: createClientUsingPOST
            requestBody:
                description: clientDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/ClientDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/ClientDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: clientDTO
    /api/clients/{id}:
        get:
            tags:
                - client-resource
            summary: getClient
            operationId: getClientUsingGET
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/ClientDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        delete:
            tags:
                - client-resource
            summary: deleteClient
            operationId: deleteClientUsingDELETE
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content: {}
                204:
                    description: No Content
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
            deprecated: false
    /api/comptes:
        get:
            tags:
                - compte-resource
            summary: getAllComptes
            operationId: getAllComptesUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: array
                                items:
                                    $ref: '#/components/schemas/CompteDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        put:
            tags:
                - compte-resource
            summary: updateCompte
            operationId: updateCompteUsingPUT
            requestBody:
                description: compteDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/CompteDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/CompteDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: compteDTO
        post:
            tags:
                - compte-resource
            summary: createCompte
            operationId: createCompteUsingPOST
            requestBody:
                description: compteDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/CompteDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/CompteDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: compteDTO
    /api/comptes/{id}:
        get:
            tags:
                - compte-resource
            summary: getCompte
            operationId: getCompteUsingGET
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/CompteDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        delete:
            tags:
                - compte-resource
            summary: deleteCompte
            operationId: deleteCompteUsingDELETE
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content: {}
                204:
                    description: No Content
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
            deprecated: false
    /api/internal/clients:
        get:
            tags:
                - client-resource
            summary: getAllClientsinternal
            operationId: getAllClientsinternalUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: array
                                items:
                                    $ref: '#/components/schemas/ClientDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        put:
            tags:
                - client-resource
            summary: updateClientinternal
            operationId: updateClientinternalUsingPUT
            requestBody:
                description: clientDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/ClientDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/ClientDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: clientDTO
        post:
            tags:
                - client-resource
            summary: createClientinternal
            operationId: createClientinternalUsingPOST
            requestBody:
                description: clientDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/ClientDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/ClientDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: clientDTO
    /api/internal/clients/{id}:
        get:
            tags:
                - client-resource
            summary: getClientinternal
            operationId: getClientinternalUsingGET
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/ClientDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        delete:
            tags:
                - client-resource
            summary: deleteClientinternal
            operationId: deleteClientinternalUsingDELETE
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content: {}
                204:
                    description: No Content
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
            deprecated: false
    /api/internal/comptes:
        get:
            tags:
                - compte-resource
            summary: getAllComptesinternal
            operationId: getAllComptesinternalUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: array
                                items:
                                    $ref: '#/components/schemas/CompteDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        put:
            tags:
                - compte-resource
            summary: updateCompteinternal
            operationId: updateCompteinternalUsingPUT
            requestBody:
                description: compteDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/CompteDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/CompteDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: compteDTO
        post:
            tags:
                - compte-resource
            summary: createCompteinternal
            operationId: createCompteinternalUsingPOST
            requestBody:
                description: compteDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/CompteDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/CompteDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: compteDTO
    /api/internal/comptes/{id}:
        get:
            tags:
                - compte-resource
            summary: getCompteinternal
            operationId: getCompteinternalUsingGET
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/CompteDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        delete:
            tags:
                - compte-resource
            summary: deleteCompteinternal
            operationId: deleteCompteinternalUsingDELETE
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content: {}
                204:
                    description: No Content
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
            deprecated: false
    /api/internal/comptes/{id}/clients/{idClient}:
        get:
            tags:
                - compte-resource
            summary: getCompteClientinternal
            operationId: getCompteClientinternalUsingGET
            parameters:
                - name: id
                  in: path
                  description: id
                  required: true
                  schema:
                      type: integer
                      format: int64
                - name: idClient
                  in: path
                  description: idClient
                  required: true
                  schema:
                      type: integer
                      format: int64
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/InfoCompte'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
    /api/internal/random-comptes:
        get:
            tags:
                - compte-resource
            summary: getRandomPublicComptes
            operationId: getRandomPublicComptesUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        application/json:
                            schema:
                                $ref: '#/components/schemas/CompteDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
    /api/internal/xml/comptes:
        get:
            tags:
                - compte-resource
            summary: getAllComptesinternalXML
            operationId: getAllComptesinternalXMLUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        application/json:
                            schema:
                                type: array
                                items:
                                    $ref: '#/components/schemas/CompteDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
    /api/public/clients:
        get:
            tags:
                - client-resource
            summary: getAllClientsPublic
            operationId: getAllClientsPublicUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: array
                                items:
                                    $ref: '#/components/schemas/ClientDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
    /api/register:
        post:
            tags:
                - account-resource
            summary: registerAccount
            operationId: registerAccountUsingPOST
            requestBody:
                description: managedUserVM
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/ManagedUserVM'
                required: true
            responses:
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: managedUserVM
    /api/users:
        get:
            tags:
                - user-resource
            summary: getAllUsers
            operationId: getAllUsersUsingGET
            parameters:
                - name: page
                  in: query
                  description: Page number of the requested page
                  schema:
                      type: integer
                      format: int32
                - name: size
                  in: query
                  description: Size of a page
                  schema:
                      type: integer
                      format: int32
                - name: sort
                  in: query
                  description: 'Sorting criteria in the format: property(,asc|desc). Default
          sort order is ascending. Multiple sort criteria are supported.'
                  style: form
                  explode: true
                  schema:
                      type: array
                      items:
                          type: string
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: array
                                items:
                                    $ref: '#/components/schemas/UserDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        put:
            tags:
                - user-resource
            summary: updateUser
            operationId: updateUserUsingPUT
            requestBody:
                description: userDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/UserDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/UserDTO'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: userDTO
        post:
            tags:
                - user-resource
            summary: createUser
            operationId: createUserUsingPOST
            requestBody:
                description: userDTO
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/UserDTO'
                required: true
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/User'
                201:
                    description: Created
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
            x-codegen-request-body-name: userDTO
    /api/users/authorities:
        get:
            tags:
                - user-resource
            summary: getAuthorities
            operationId: getAuthoritiesUsingGET
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                type: array
                                items:
                                    type: string
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
    /api/users/{login}:
        get:
            tags:
                - user-resource
            summary: getUser
            operationId: getUserUsingGET
            parameters:
                - name: login
                  in: path
                  description: login
                  required: true
                  schema:
                      type: string
            responses:
                200:
                    description: OK
                    content:
                        '*/*':
                            schema:
                                $ref: '#/components/schemas/UserDTO'
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
                404:
                    description: Not Found
                    content: {}
            deprecated: false
        delete:
            tags:
                - user-resource
            summary: deleteUser
            operationId: deleteUserUsingDELETE
            parameters:
                - name: login
                  in: path
                  description: login
                  required: true
                  schema:
                      type: string
            responses:
                200:
                    description: OK
                    content: {}
                204:
                    description: No Content
                    content: {}
                401:
                    description: Unauthorized
                    content: {}
                403:
                    description: Forbidden
                    content: {}
            deprecated: false
components:
    schemas:
        ClientDTO:
            title: ClientDTO
            required:
                - mail
                - nom
                - prenom
                - telephone
            type: object
            properties:
                id:
                    type: integer
                    format: int64
                mail:
                    type: string
                nom:
                    type: string
                prenom:
                    type: string
                telephone:
                    type: string
        CompteDTO:
            title: CompteDTO
            required:
                - nom
            type: object
            properties:
                clientId:
                    type: integer
                    format: int64
                id:
                    type: integer
                    format: int64
                nom:
                    type: string
                numero:
                    type: integer
                    format: int32
                solde:
                    type: number
                    format: double
        InfoCompte:
            title: InfoCompte
            type: object
            properties:
                clientDTO:
                    $ref: '#/components/schemas/ClientDTO'
                compteDTO:
                    $ref: '#/components/schemas/CompteDTO'
        JWTToken:
            title: JWTToken
            type: object
            properties:
                id_token:
                    type: string
        KeyAndPasswordVM:
            title: KeyAndPasswordVM
            type: object
            properties:
                key:
                    type: string
                newPassword:
                    type: string
        LoginVM:
            title: LoginVM
            required:
                - password
                - username
            type: object
            properties:
                password:
                    maxLength: 100
                    minLength: 4
                    type: string
                rememberMe:
                    type: boolean
                username:
                    maxLength: 50
                    minLength: 1
                    type: string
        ManagedUserVM:
            title: ManagedUserVM
            type: object
            properties:
                activated:
                    type: boolean
                authorities:
                    type: array
                    items:
                        type: string
                createdBy:
                    type: string
                createdDate:
                    type: string
                    format: date-time
                email:
                    maxLength: 254
                    minLength: 5
                    type: string
                firstName:
                    maxLength: 50
                    minLength: 0
                    type: string
                id:
                    type: integer
                    format: int64
                imageUrl:
                    maxLength: 256
                    minLength: 0
                    type: string
                langKey:
                    maxLength: 10
                    minLength: 2
                    type: string
                lastModifiedBy:
                    type: string
                lastModifiedDate:
                    type: string
                    format: date-time
                lastName:
                    maxLength: 50
                    minLength: 0
                    type: string
                login:
                    maxLength: 50
                    minLength: 1
                    pattern: ^[a-zA-Z0-9!$&*+=?^_`{|}~.-]$
                    type: string
                password:
                    maxLength: 100
                    minLength: 4
                    type: string
        PasswordChangeDTO:
            title: PasswordChangeDTO
            type: object
            properties:
                currentPassword:
                    type: string
                newPassword:
                    type: string
        User:
            title: User
            required:
                - activated
                - login
            type: object
            properties:
                activated:
                    type: boolean
                email:
                    maxLength: 254
                    minLength: 5
                    type: string
                firstName:
                    maxLength: 50
                    minLength: 0
                    type: string
                id:
                    type: integer
                    format: int64
                imageUrl:
                    maxLength: 256
                    minLength: 0
                    type: string
                langKey:
                    maxLength: 10
                    minLength: 2
                    type: string
                lastName:
                    maxLength: 50
                    minLength: 0
                    type: string
                login:
                    maxLength: 50
                    minLength: 1
                    pattern: ^[a-zA-Z0-9!$&*+=?^_`{|}~.-]$
                    type: string
                resetDate:
                    type: string
                    format: date-time
        UserDTO:
            title: UserDTO
            type: object
            properties:
                activated:
                    type: boolean
                authorities:
                    type: array
                    items:
                        type: string
                createdBy:
                    type: string
                createdDate:
                    type: string
                    format: date-time
                email:
                    maxLength: 254
                    minLength: 5
                    type: string
                firstName:
                    maxLength: 50
                    minLength: 0
                    type: string
                id:
                    type: integer
                    format: int64
                imageUrl:
                    maxLength: 256
                    minLength: 0
                    type: string
                langKey:
                    maxLength: 10
                    minLength: 2
                    type: string
                lastModifiedBy:
                    type: string
                lastModifiedDate:
                    type: string
                    format: date-time
                lastName:
                    maxLength: 50
                    minLength: 0
                    type: string
                login:
                    maxLength: 50
                    minLength: 1
                    pattern: ^[a-zA-Z0-9!$&*+=?^_`{|}~.-]$
                    type: string
